Package skyview.geometry

# Class SphereDistorter

java.lang.Object
skyview.geometry.Transformer
skyview.geometry.SphereDistorter

All Implemented Interfaces:
  `Serializable`, `Component`

Direct Known Subclasses:
  `Besselian`, `Besselian.BesselianInverse`

public abstract class SphereDistorter extends Transformer implements Component
This class defines a non-linear distortion in the image plane. Normally the forward distortion converts from a fiducial projection plane to some distorted coordinates. The reverse distortion transforms from the distorted coordinates back to the fiducial coordinates.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SphereDistorter()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
What does this object do?
`protected int`
`getInputDimension()`
What is the input dimensionality of a Distorter?
`String`
`getName()`
A name for this object
`protected int`
`getOutputDimension()`
What is the output dimensionality of a Distorter?
`abstract SphereDistorter`
`inverse()`
Get the inverse of the transformation.

### Methods inherited from class skyview.geometry.Transformer

`isInverse, transform, transform, transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SphereDistorter

public SphereDistorter()

## Method Details

### getName

public String getName()
A name for this object

Specified by:
  `getName` in interface `Component`

### getDescription

public String getDescription()
What does this object do?

Specified by:
  `getDescription` in interface `Component`

### inverse

public abstract SphereDistorter inverse()
Description copied from class: `Transformer`
Get the inverse of the transformation. If the order matters, then the inverse is to be applied after the original transformation. This is primarily an issue with Converters.

Specified by:
  `inverse` in class `Transformer`

### getOutputDimension

protected int getOutputDimension()
What is the output dimensionality of a Distorter?

Specified by:
  `getOutputDimension` in class `Transformer`

### getInputDimension

protected int getInputDimension()
What is the input dimensionality of a Distorter?

Specified by:
  `getInputDimension` in class `Transformer`